import { createContext as e, useState as t } from "react";
import { jsx as n } from "react/jsx-runtime";
//#region src/features/workbench/providers/ScrollProvider.tsx
var r = e({
	enableScrollTo: !0,
	setScrollTo: () => {}
}), i = ({ children: e }) => {
	let [i, a] = t(!0);
	return /* @__PURE__ */ n(r.Provider, {
		value: {
			enableScrollTo: i,
			setScrollTo: (e) => a(e)
		},
		children: e
	});
};
//#endregion
export { i as ScrollProvider };
